# $Revision: 1.17 $, $Date: 2012/02/12 21:28:44 $
Summary:	OpenGL-based space-ship "shoot-em-up"
Summary(pl.UTF-8):	Trójwymiarowa kosmiczna strzelanka
Name:		glaxium
Version:	0.5
Release:	7
License:	GPL
Group:		X11/Applications/Games
Source0:	http://xhosxe.free.fr/glaxium/%{name}_%{version}.tar.gz
# Source0-md5:	ea6d6f8b4ebb7c73b74af64d83f45cb7
Patch0:		%{name}-gcc4.patch
Patch1:		%{name}-startup_crash.patch
Patch2:		%{name}-build.patch
URL:		http://xhosxe.free.fr/glaxium
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game. It is
designed to provide the same feel as the old 2D games of that type,
but with 3D for the special effects.

%description -l pl.UTF-8
Glaxium jest trójwymiarową grą kosmiczną wykorzystującą OpenGL. Idea
tej gry jest zaczerpnięta ze starych dwuwymiarowych strzelanek
kosmicznych.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed 's/^GLAXIUM_INSTALLDIR=/GLAXIUM_INSTALLDIR=$(DESTDIR)/' Makefile.in > Makefile.in.tmp
sed 's/^GLAXIUM_HOME=/GLAXIUM_HOME=$(DESTDIR)/' Makefile.in.tmp > Makefile.in
sed 's/^MAN_DIR=/MAN_DIR=$(DESTDIR)/' Makefile.in > Makefile.in.tmp
cat Makefile.in.tmp > Makefile.in
rm -f Makefile.in.tmp

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt CHANGES.txt
%attr(755,root,root) %{_bindir}/glaxium
%{_datadir}/games/%{name}
%{_mandir}/man6/glaxium.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glaxium.spec,v $
Revision 1.17  2012/02/12 21:28:44  adamg
- buildfix (-build.patch)
- release 7 (rebuild against libpng-1.5)

Revision 1.16  2012/02/12 08:10:16  arekm
- release 6

Revision 1.15  2012/02/07 22:01:29  arekm
- release 5

Revision 1.14  2010/02/24 20:16:03  sparky
- glut 3.7 is enough

Revision 1.13  2010/02/24 14:07:02  sparky
- versioned OpenGL-glut BR/R (freeglut is required)

Revision 1.12  2010/02/06 21:03:08  arekm
- release 4

Revision 1.11  2007/05/18 19:51:02  megabajt
- added gcc4 and startup_crash patches
- more verbose files

Revision 1.10  2007/05/18 17:51:28  megabajt
- s/glut-devel/OpenGL-glut-devel/

Revision 1.9  2007/05/17 20:32:42  blues
- rel.3

Revision 1.8  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.6  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.5  2005/06/01 14:01:57  zbyniu
- BR: gcc-c++, libpng-devel

Revision 1.4  2004/04/05 09:43:32  adamg
- release 2

Revision 1.3  2004/04/05 06:01:22  adamg
- fixed group

Revision 1.2  2004/03/22 23:42:40  baseciq
- typo

Revision 1.1  2004/01/31 17:17:12  kosmo
- initial version
